org.firebirdsql.gds.ng.jna

## Interface FbClientFeatureAccess

All Known Implementing Classes:
  JnaDatabase

    @InternalApi
    public interface FbClientFeatureAccess

Firebird client feature access.

This interface allows checks for features of the Firebird client API.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`java.util.Set<FbClientFeature>` `getFeatures()`
`boolean` `hasFeature(FbClientFeature clientFeature)` Checks for presence of a client feature.

### Method Detail

#### hasFeature

    boolean hasFeature(FbClientFeature clientFeature)

Checks for presence of a client feature.

Parameters:
  `clientFeature` - Client feature
Returns:
  `true` if the feature is present, `false` otherwise

#### getFeatures

    java.util.Set<FbClientFeature> getFeatures()

Returns:
  an unmodifiable set with supported client features